Opened 12 years ago

Closed 17 months ago

#9473 closed defect (invalid)

notebook: execute bit set on pickle's, but shouldn't be (really easy to fix)

Reported by: was Owned by: jason, was
Priority: minor Milestone: sage-duplicate/invalid/wontfix
Component: notebook Keywords:
Cc: chapoton Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

The execute bit is set on some pickles in sage_notebook.sagenb for no reason:

executable bit set?  huh?

sage: !ls -l
total 28
-rwx------  1 sagenb sagenb   253 2010-07-06 00:52 conf.pickle
drwxr-xr-x 39 sagenb sagenb  4096 2010-05-22 08:58 home
-rw-r--r--  1 sagenb sagenb     4 2010-05-20 12:04 twistd.pid
-rw-r--r--  1 sagenb sagenb  2560 2010-05-20 12:04 twistedconf.tac
-rwx------  1 sagenb sagenb 11116 2010-07-06 00:52 users.pickle

Fix this. This is probably really easy. I think the notebook server does a chmod somewhere to make sure other and group don't have access, and this is done incorrectly.

Change History (6)

comment:1 Changed 8 years ago by jdemeyer

  • Milestone changed from sage-5.11 to sage-5.12

comment:2 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.1 to sage-6.2

comment:3 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.2 to sage-6.3

comment:4 Changed 7 years ago by vbraun_spam

  • Milestone changed from sage-6.3 to sage-6.4

comment:5 Changed 18 months ago by mkoeppe

  • Cc chapoton added
  • Milestone changed from sage-6.4 to sage-duplicate/invalid/wontfix
  • Status changed from new to needs_review

Proposing to close all sagenb tickets as outdated, so that all remaining open tickets in the notebook component are about the Jupyter notebook.

comment:6 Changed 17 months ago by chapoton

  • Resolution set to invalid
  • Status changed from needs_review to closed
Note: See TracTickets for help on using tickets.